> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace Member Role

> Update the user membership in a workspace



## OpenAPI

````yaml POST /workspaces/{workspace_id}/members/{member_user_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/members/{member_user_id}:
    post:
      tags:
        - workspaces
      summary: Update the user membership in a workspace
      description: Update the user membership in a workspace
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: User ID
          name: member_user_id
          in: path
          required: true
          schema:
            type: string
        - description: Role to assign to the user
          name: role
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Workspace membership updated
        '404':
          description: Workspace member not found
        '500':
          description: Failed to update workspace member
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````